<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class GetBusinessLocationsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    public ?string $timezone = null;
    /** @var string[]|null $businessTypes */
    public ?array $businessTypes = null;
    /** @var string[]|null $locationIds */
    public ?array $locationIds = null;
    public ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination = null;

    /**
     * @param  string[]|null  $businessTypes 
     * @param  string[]|null  $locationIds 
     */
    public function __construct(?string $timezone, ?array $businessTypes, ?array $locationIds, ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination)
    {
        $this->timezone = $timezone;
        $this->businessTypes = $businessTypes;
        $this->locationIds = $locationIds;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination
    {
        return $this->pagination;
    }
}